clear all; clc;

addpath([pwd '\bspline'],[pwd '\cplxwt'],[pwd '\mrgt'],[pwd '\mwlib'],[pwd '\quincunx']);
v = ver;
has_wavelettool = any(strcmp(cellstr(char(v.Name)), 'Wavelet Toolbox'));
if has_wavelettool==0
    reply=questdlg({'Wavelet Toolbox is not installed on your system!','This will cause incorrect work of some benchmark functions.','Do you want to proceed anyway?'},'Error #001','Yes','No','Yes');
    cd([pwd '\gui']);
    MainFrame;
    if strcmpi(reply, 'No')
        close(gcf);
    end
else
    bspfrun;
    cd([pwd '\gui']);
    MainFrame;
end